Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161169 - Kernel panic when attempting to mount root device
Summary: Kernel panic when attempting to mount root device
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 23:03 UTC by Jonathan M. Prigot
Modified: 2015-01-04 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-04 13:55:28 UTC


Attachments (Terms of Use)
Picture of just before the kernel panic (deleted)
2005-06-22 22:14 UTC, Stuart Clark
no flags Details
Picture of just after the kernel panic (deleted)
2005-06-22 22:15 UTC, Stuart Clark
no flags Details

Description Jonathan M. Prigot 2005-06-20 23:03:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
I am trying to install FC4 on an Averatech 6240 laptop with x86_64 architecture. This laptop already is running FC3. At initial boot screen, I specify: "linux nofb"
The machine starts to boot, but then crashes with a "kernel panic: not syncing: VFS unable to mount root fs on unknown-block(3,2)". The trace stays on screen for about 10 seconds, then scrolls off. I have tried adding "acpi=off" and "apic=off" without change.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot from install CD or DVD
2.
3.
  

Actual Results:  Components enumerated on screen, then kernel panic after "input: AT translated keyboard" line.

Expected Results:  Continue install process

Additional info:

CD and DVDs boot on other x86_64 systems.

Comment 1 Jonathan M. Prigot 2005-06-20 23:08:48 UTC
Laptop can only boot from HD or CD, so I could not try booting an image from USB.

Comment 2 Stuart Clark 2005-06-22 22:12:09 UTC
I am seeing similar kernel panic when installing Fedora Core 4 from DVD onto a
x85_64 machine, with hardware:

Dell 370 Precision, BIOS rev A02, Intel 925X, 2.3GHz EM64T

How reproducable:
Always

Steps to Reproduce:
1. Boot from DVD
2. Select text or graphical install
3. kernel panic trying to mount root 


The mesages are posted as attachments below, but the main errors are:

RAMDISK: Compresed image found at block 0
invalid compressed format (err=1)
VFS: Cannot open root device "<NULL"> or unknown-block(3,2)
Please append a correct "root=" boot option
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown(3,2)

I have burnt a second DVD, but have been able to perform a media check at this
stage.


Comment 3 Stuart Clark 2005-06-22 22:14:24 UTC
Created attachment 115842 [details]
Picture of just before the kernel panic

Comment 4 Stuart Clark 2005-06-22 22:15:24 UTC
Created attachment 115843 [details]
Picture of just after the kernel panic

Comment 5 vvs 2005-06-23 06:26:17 UTC
Seems like duplicate of http://bugzilla.redhat.com/beta/show_bug.cgi?id=159026

Comment 6 Stuart Clark 2005-06-23 06:42:03 UTC
I tried the garbage workaround before I posted here, as mentioned in
http://bugzilla.redhat.com/beta/show_bug.cgi?id=159026
I am yet to try the boot915.img and then switch back to original DVD.  I hear
there were problems with the installed kernel upon first boot.  Will try this
anyway.

Comment 7 Stuart Clark 2005-06-23 12:18:27 UTC
The boot915.iso image does load into Anaconda.  This boot image does not like 
the contents on the x86_64 DVD CD, or when trying to install the same DVD disk 
across the network via HTTP install.  It says the media is not the same as the 
bood media.

Will there be a boot915.iso image available for 64 bit Fedora Core 4?
Will there be a new release of a working Fedora Core 4?
How will linux newbs like my brother ever install Linux and talk favourably 
about his experience?

Willint to try any suggestions not already given.


Comment 8 Stuart Clark 2005-06-23 12:18:56 UTC
The boot915.iso image does load into Anaconda.  This boot image does not like 
the contents on the x86_64 DVD CD, or when trying to install the same DVD disk 
across the network via HTTP install.  It says the media is not the same as the 
bood media.

Will there be a boot915.iso image available for 64 bit Fedora Core 4?
Will there be a new release of a working Fedora Core 4?
How will linux newbs like my brother ever install Linux and talk favourably 
about his experience?

Willing to try any suggestions not already given.


Comment 9 Jonathan M. Prigot 2005-06-23 16:08:36 UTC
The "garbage" workaround does seem to work for me. I am installing on an 
Averatec 6240EH1 Athlon 64 system. Glad to supply whatever other info needed. 
BTW, no suprise, CD1 fails the same way. 

Comment 10 Dave Jones 2005-06-25 03:13:57 UTC
Peter, can you create an x86-64 variant of that boot iso please ?


Comment 11 Peter Jones 2005-07-06 22:27:25 UTC
OK, can you try the boot image at
http://people.redhat.com/pjones/i915/boot-x86_64.iso ?

Comment 12 Jonathan M. Prigot 2005-07-08 19:14:06 UTC
I tried the image and it works.

Comment 13 Dave Jones 2005-07-15 21:02:54 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 14 Dave Jones 2005-09-30 06:01:24 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 15 Dave Jones 2005-11-10 18:58:03 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 16 Dave Jones 2006-02-03 05:07:40 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 17 John Thacker 2006-05-04 13:55:28 UTC
Closing per previous comment.


Note You need to log in before you can comment on or make changes to this bug.